Herald
OpenapiAuth

Enterprise (LDAP) directory login.

Authenticates the submitted username/password against the Realm's configured directory (search-then-bind), matches or JIT-provisions the Herald account, and then runs the full existing login pipeline (2FA / consent / OAuth code / session issuance), auditing `method="ldap"`.

POST
/api/auth/{realmId}/login/ldap

Authenticates the submitted username/password against the Realm's configured directory (search-then-bind), matches or JIT-provisions the Herald account, and then runs the full existing login pipeline (2FA / consent / OAuth code / session issuance), auditing method="ldap".

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

agreements?array<>|null
clientId*string
oauthClientId?string|null
password*string
redirectUri?string|null
state?string|null
turnstileToken?string|null
username*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/string/login/ldap" \  -H "Content-Type: application/json" \  -d '{    "clientId": "string",    "password": "string",    "username": "string"  }'
{  "accessToken": "string",  "expiresIn": 0,  "refreshExpiresIn": 0,  "refreshToken": "string",  "tokenType": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}